using GadgetCore;
using GadgetCore.API;
using HarmonyLib;
using System;
using System.Reflection;
using UnityEngine;

namespace CombatChipChest.Patches
{

  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("HoverCombatChip")]
  [HarmonyGadget("CombatChipChest")]
  public static class Patch_GameScript_HoverCombatChip
  {
    [HarmonyPrefix]
    public static void Prefix(GameScript __instance, int slot , int[] ___combatChips)
    {
      try
      {
        if (slot <= 5)
        {
          Core.combatChipStore.UpdateText(___combatChips[slot]);
        }
      }
      catch { }
    }
  }
}